ioquake3 (1.36+u20251206.e29c74e1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Dec 2025 11:23:26 +0000

ioquake3 (1.36+u20251111.fcde284+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Nov 2025 10:55:57 +0000

ioquake3 (1.36+u20251029.a553ad1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    - For Quake 3 Arena, this version migrates configuration, data and
      state from ~/.q3a to ~/.config/Quake3, ~/.local/share/Quake3 and
      ~/.local/state/Quake3 respectively (those paths can be overridden
      by the XDG environment variables in the usual way).
    - Other games should set com_homepath or fs_homepath to an appropriate
      location.
  * Refresh patch series
  * Create a flag-file to signal to quake3 that we are using the new paths
  * Add versioned Breaks on older quake3, quake3-server, openarena,
    openarena-server. We need a version that can cope with the new meaning of
    com_homepath.
  * d/*.docs: Update source paths
  * Remove an unnecessary lintian override
  * Reformat packaging (debputy reformat)
  * Remove Rules-Requires-Root, no longer needed since Debian 13
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 10:59:44 +0000

ioquake3 (1.36+u20250908.3d8979f+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: Remove stanza for a removed file
  * d/watch: Convert to v5 format
  * d/source/lintian-overrides: Ignore a false positive for d/watch v5

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Sep 2025 10:59:19 +0100

ioquake3 (1.36+u20250901.45788d2+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/rules: Fix FTCBFS by using triplet-prefixed pkgconf
    (Closes: #1112684)

  [ Simon McVittie ]
  * New upstream snapshot
  * d/control, d/rules: Use dpkg build API v1, available since trixie
    - /usr/share/dpkg/buildtools.mk does not need to be included explicitly
  * d/salsa-ci.yml: Exercise cross-builds
  * d/rules: Stop setting ASMFLAGS, no longer needed.
    All files containing standalone GNU assembler code were removed
    upstream, and the remaining GNU assembler code is inlined into C
    source, which already gets all the necessary compiler flags.

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Sep 2025 10:56:57 +0100

ioquake3 (1.36+u20250830.3e0b279+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, fixing FTBFS on architectures not recognised by
    upstream (again)

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 23:00:29 +0100

ioquake3 (1.36+u20250830.2b516c5+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Update patch series
    - d/p/cmake-Only-link-snd_mixa-into-the-client-not-the-dedicate.patch,
      d/p/Remove-unused-matha.S.patch,
      d/p/asm-Remove-unused-S_PaintChannelFrom8.patch,
      d/p/client-Remove-i386-GNU-assembler-version-of-S_WriteLinear.patch:
      Remove, applied upstream
    - d/p/cmake-Set-up-USE_ARCHLESS_FILENAMES-at-top-level.patch,
      d/p/qcommon-Build-generically-for-otherwise-unknown-architect.patch:
      Remove, solved differently upstream
  * d/rules: Stop setting USE_ARCHLESS_FILENAMES, now always-on

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 18:20:15 +0100

ioquake3 (1.36+u20250822.9d2227c+dfsg-2) unstable; urgency=medium

  * d/p/Remove-unused-matha.S.patch,
    d/p/asm-Remove-unused-S_PaintChannelFrom8.patch,
    d/p/client-Remove-i386-GNU-assembler-version-of-S_WriteLinear.patch:
    Add proposed patches to fix FTBFS on armel and armhf
  * d/rules: Pass CPPFLAGS to the assembler (thanks, blhc)
    This probably doesn't matter in practice, since the assembler code
    doesn't manipulate strings and isn't affected by _FORTIFY_SOURCE.

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Aug 2025 11:40:38 +0100

ioquake3 (1.36+u20250822.9d2227c+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
    - Build everything with -fvisibility=hidden, avoiding symbols from the
      executable interposing symbols of the same name in game modules
      (Closes: #1111671)
  * d/p/cmake-Only-link-snd_mixa-into-the-client-not-the-dedicate.patch:
    Add proposed patch to fix one reason for FTBFS on i386
  * d/p/cmake-Set-up-USE_ARCHLESS_FILENAMES-at-top-level.patch,
    d/p/qcommon-Build-generically-for-otherwise-unknown-architect.patch:
    Add proposed patches to fix the build on architectures not
    specifically recognised by upstream
  * d/rules: Build with SSE2 on i386, fixing another reason for FTBFS.
    The new upstream snapshot doesn't build successfully on i386
    without it. As per the trixie release notes, SSE2 is required now,
    so it doesn't seem productive to go to extra effort to avoid that.

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Aug 2025 21:22:00 +0100

ioquake3 (1.36+u20250820.03c5ee0+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update Files-Excluded
  * d/copyright: Update location of some files that were moved
  * Use the new upstream CMake build system
  * Game modules are now loaded from cgame.so, qagame.so and ui.so,
    without architecture-specific suffixes.
    This simplifies the packaging considerably, since we no longer need
    to track the corresponence between Debian architectures and their
    ioquake3 names.
    Add Breaks on older versions of openarena{,-server}, which relied
    on the architecture suffixes.
  * dlopening libcurl is now the only option, so do that.
    Generate ${dlopen:Depends}, ${dlopen:Recommends} for dlopen'd
    dependencies.
  * Build-depend on OpenSSL libcurl, not GNUTLS libcurl. This is the
    SONAME that ioquake3 will dlopen.
  * d/p/debian/Compile-successfully-against-libcurl-7.52.x.patch:
    Drop patch, no longer relevant in any supported Debian release
  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Drop patch, fixed differently in the CMake build system
  * A known regression in this version is that it will not compile
    successfully on architectures not explicitly listed by
    upstream. It isn't clear whether any of the affected architectures
    worked: at least mips64el, riscv64 and s390x already did not (#1111671)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Aug 2025 09:25:52 +0100

ioquake3 (1.36+u20250316.526edd3+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/salsa-ci.yml: Use recommended recipe
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Mar 2025 15:37:30 +0000

ioquake3 (1.36+u20241011.cc18246+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 09:45:44 +0000

ioquake3 (1.36+u20240727.4c19ff2+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/rules: Pass dpkg's CFLAGS_FOR_BUILD, etc. to native compiler
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2024 16:23:30 +0100

ioquake3 (1.36+u20240714.15f5fe7+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jul 2024 10:22:00 +0100

ioquake3 (1.36+u20240217.7d711f8+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Feb 2024 11:03:44 +0000

ioquake3 (1.36+u20231123.972635e+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Silence warnings from man(1) by using italic instead of underlines

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 10:20:40 +0000

ioquake3 (1.36+u20230819.b1e6ef1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * apparmor.d: Allow reading /usr/share/pipewire
  * apparmor.d: Allow SDL audio backends to create named threads
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Oct 2023 21:28:33 +0100

ioquake3 (1.36+u20230706.10a45cb+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Jul 2023 10:36:16 +0100

ioquake3 (1.36+u20230419.47c9641+dfsg-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Sat, 27 May 2023 17:33:06 +0100

ioquake3 (1.36+u20221123.70d07d9+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since buster (oldstable)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jan 2023 18:26:57 +0000

ioquake3 (1.36+u20220922.84da653+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    - Better support for extra buttons on gamepads
  * Set upstream metadata fields: Security-Contact

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Oct 2022 15:18:43 +0100

ioquake3 (1.36+u20220321.6d74896+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/watch: Use +dfsg version to avoid a Lintian warning
  * Standards-Version: 4.6.1 (no changes required)
  * Update AppArmor profile

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 19:24:00 +0100

ioquake3 (1.36+u20220205.c0f2964~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Feb 2022 11:03:17 +0000

ioquake3 (1.36+u20211208.84daa28~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Use debhelper-compat 13

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Dec 2021 13:53:01 +0000

ioquake3 (1.36+u20210927.2678080~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Standards-Version: 4.6.0 (no changes required)
  * Remove Lintian overrides, no longer needed

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Oct 2021 23:46:48 +0100

ioquake3 (1.36+u20201117.d1b7ab6~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Add overrides for overzealous breakout-link Lintian warning
  * d/watch: Stop using uupdate
  * Refresh patch series
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Dec 2020 20:53:30 +0000

ioquake3 (1.36+u20200930.e7a7a2b~dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Oct 2020 20:46:34 +0100

ioquake3 (1.36+u20200211.f2c61c1~dfsg-2) unstable; urgency=medium

  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Explicitly link game, cgame, ui modules to libm.
    This is the equivalent of #966150, but for Quake III Arena.
  * Link with -Wl,-z,defs to enforce that all modules are self-contained
  * AppArmor: Allow message popup to read all of /usr.
    The contents of /usr are essentially public, so there's no real point
    in locking this down. In particular, this silences warnings about
    zenity inheriting readable fds pointing to OpenArena's pk3 files;
    it also means we don't have to keep track of what files in /usr are
    opened by zenity, xmessage, kdialog and the libraries they use.
  * AppArmor: Allow message popup to write to dconf.
    zenity apparently now does this.

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jul 2020 12:48:09 +0100

ioquake3 (1.36+u20200211.f2c61c1~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Standards-Version: 4.5.0 (no changes required)
  * Update AppArmor profile for Debian 10 version of apparmor.
    More abstractions and tunables are available now.
  * AppArmor: Allow access to /sys/devices/virtual/sound/seq/uevent

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 10:54:46 +0100

ioquake3 (1.36+u20191029.dc0c3e7~dfsg-1) unstable; urgency=medium

  * Standards-Version: 4.4.1 (no changes required)
  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Nov 2019 11:54:24 +0000

ioquake3 (1.36+u20190529.350b8f9~dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/rules: Remove migration path from ioquake3-dbg, which was not
    in stretch or buster
  * Standards-Version: 4.4.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jul 2019 17:19:54 +0100

ioquake3 (1.36+u20190529.350b8f9~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/patches: Refresh

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jun 2019 22:18:37 +0100

ioquake3 (1.36+u20190416.d13d064~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/lightall_fp.glsl-Stub-out-USE_BOX_CUBEMAP_PARALLAX-on-GLS.patch:
    Drop, replaced by a slightly different upstream solution

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Apr 2019 21:55:22 +0100

ioquake3 (1.36+u20190206.d068e1d~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/lightall_fp.glsl-Stub-out-USE_BOX_CUBEMAP_PARALLAX-on-GLS.patch:
    Mark patch as forwarded
  * AppArmor: Mark Mesa shader cache rules as obsoleted by apparmor 2.13
  * Use debhelper-compat (= 12)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2019 17:09:49 +0000

ioquake3 (1.36+u20181222.e5da13f~dfsg-2) unstable; urgency=medium

  * d/p/lightall_fp.glsl-Stub-out-USE_BOX_CUBEMAP_PARALLAX-on-GLS.patch:
    Fix shader compilation on hardware that doesn't support GLSL 1.30,
    and in particular pre-2011 Intel GPUs (5th generation, "Ironlake",
    or older). (Closes: #923226)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Mar 2019 09:09:43 +0000

ioquake3 (1.36+u20181222.e5da13f~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.3.0

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jan 2019 08:29:04 +0000

ioquake3 (1.36+u20181017.09166ba~dfsg-2) unstable; urgency=medium

  * Explicitly set COMPILE_ARCH, COMPILE_PLATFORM as well as ARCH and
    PLATFORM.
    Otherwise the build system will think we're cross-compiling on any
    non-special-cased architecture where uname -m doesn't match the CPU
    part of the GNU tuple (mips64el, ppc64el, hppa, sh4 and hurd-i386
    have this behaviour), which in recent snapshots causes the upstream
    build system to reject pkg-config.
  * Clear ALTIVEC_CFLAGS on powerpcspe as intended
  * Explicitly set PKG_CONFIG, even when not cross-compiling
  * Only evaluate OPTIONS on-demand

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Nov 2018 01:23:47 +0000

ioquake3 (1.36+u20181017.09166ba~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Don't install the upstream ChangeLog, which is 10 years out of date

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Nov 2018 15:52:28 +0000

ioquake3 (1.36+u20180915.33a899d~dfsg-1) unstable; urgency=medium

  * d/p/debian/Compile-successfully-against-libcurl-7.52.x.patch:
    Don't rely on such a recent libcurl, to facilitate backporting to
    Debian 9 'stretch'
  * New upstream snapshot
  * Revert "Update maintainer address". The lists.alioth.debian.org
    form is still the canonical one.

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Oct 2018 15:07:34 +0100

ioquake3 (1.36+u20180828.29db640~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Rename AppArmor profiles to decouple the name from the attachment,
    as per
    https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
  * d/copyright: Update for files in debian/
  * Declare compliance with Debian Policy 4.2.1

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Aug 2018 11:30:45 +0100

ioquake3 (1.36+u20180720.39e2113~dfsg-1) unstable; urgency=medium

  * Update maintainer address
  * New upstream snapshot
    - d/p/Allow-pkg-config-binary-to-be-overridden-with-PKG_CONFIG.patch:
      Drop, applied upstream
  * Declare compliance with Debian Policy 4.1.5

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Jul 2018 11:27:10 +0100

ioquake3 (1.36+u20180610.38a2f4d~dfsg-1) unstable; urgency=medium

  * d/p/Allow-pkg-config-binary-to-be-overridden-with-PKG_CONFIG.patch:
    Use $(PKG_CONFIG) in preference to pkg-config, for cross-compilation
    (a multiarch libopusfile-dev is also required, see #899138)
  * New upstream snapshot
    - d/p/Disable-Altivec-instructions-on-PowerPC-unless-requested.patch:
      Drop patch, superseded by upstream changes that should make runtime
      detection work as it was intended to
    - d/rules: Explicitly disable Altivec on powerpcspe

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Jun 2018 11:25:10 +0100

ioquake3 (1.36+u20180506.10abac8~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Refresh patches

 -- Simon McVittie <smcv@debian.org>  Fri, 11 May 2018 11:16:31 +0100

ioquake3 (1.36+u20180409.3ad427c~dfsg-1) unstable; urgency=medium

  * Use uscan in git mode to download orig tarballs
  * New upstream snapshot
  * Declare compliance with Debian Policy 4.1.4

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Apr 2018 10:31:45 +0100

ioquake3 (1.36+u20180322~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    - Appears to have fixed rare crashes in bot routing around
      OpenArena's oa_dm1 (Closes: #607178)
  * d/copyright: Add Files-Excluded

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Mar 2018 22:46:26 +0100

ioquake3 (1.36+u20180108~dfsg-2) unstable; urgency=medium

  * Add reference to #885839 in previous changelog entry
  * Use <abstractions/wayland> from apparmor (>= 2.10.95-5) instead
    of reinventing it
  * AppArmor: Allow reading EGL vendor configuration
  * AppArmor: Allow zenity to read from dconf
  * Move packaging to salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 08:35:54 +0000

ioquake3 (1.36+u20180108~dfsg-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Recommend kdialog instead of kdebase-bin (Closes: #885839)

  [ Simon McVittie ]
  * Declare compliance with Debian Policy 4.1.3
  * Update Homepage field to use a https URL
  * New upstream snapshot (commit 6387c336)
    - Refresh patches
  * d/p/Disable-Altivec-instructions-on-PowerPC-unless-requested.patch:
    Add patch to compile without Altivec to support baseline powerpc
    CPUs. Thanks to GitHub user casey-ac for testing this change.
    This should also work on powerpcspe (Closes: #701561)

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Jan 2018 08:56:14 +0000

ioquake3 (1.36+u20171216~dfsg-1) unstable; urgency=medium

  * New upstream snapshot (commit 7166a3cd)
  * Declare compliance with Debian Policy 4.1.2
  * ioquake3: Explicitly depend on libgl1. Since snapshot 20171016
    it's loaded at runtime rather than being linked in the usual way,
    so it isn't in ${shlibs:Depends}.

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Dec 2017 12:52:31 +0000

ioquake3 (1.36+u20171122~dfsg-1) unstable; urgency=medium

  * New upstream snapshot (commit 424e1ac)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Nov 2017 11:07:44 +0000

ioquake3 (1.36+u20171016~dfsg-1) unstable; urgency=medium

  * New upstream snapshot (commit 6ecfa4f2)
  * Declare compliance with Debian Policy 4.1.1
  * d/control: Set Rules-Requires-Root: no since this package does not
    install any non-root-owned files

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2017 10:31:33 +0000

ioquake3 (1.36+u20170908+dfsg1-2) unstable; urgency=medium

  * Don't set DEFAULT_BASEDIR. This makes ioquake3 set it at runtime
    from argv[0], making it relocatable, which is useful when building
    it into a Flatpak app.
  * Skip dh_apparmor when built with profile pkg.flatpak.app

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Sep 2017 14:28:34 +0100

ioquake3 (1.36+u20170908+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.1.0

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Sep 2017 10:56:30 +0100

ioquake3 (1.36+u20170803+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
    - Fix read buffer overflow in MSG_ReadBits
      (CVE-2017-11721) (Closes: #870725)
    - Check buffer boundary exactly in MSG_WriteBits, instead of
      potentially failing with a few bytes still available

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Aug 2017 18:34:40 +0100

ioquake3 (1.36+u20170720+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
  * debian/apparmor.d: allow even more device enumeration
  * Declare compliance with Debian Policy 4.0.0

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Jul 2017 22:38:20 +0100

ioquake3 (1.36+u20170611+dfsg1-1) unstable; urgency=medium

  * debian/apparmor.d: allow more forms of device enumeration
  * New upstream snapshot
    - Drop patches that are no longer necessary
    - d/copyright: Update
  * Reference CVE-2017-6903 in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Jun 2017 09:55:05 +0100

ioquake3 (1.36+u20161101+dfsg1-2) unstable; urgency=high

  * d/gbp.conf: switch branch to debian/stretch for updates during freeze
  * d/patches: Add patches from upstream fixing security vulnerabilities
    - refuse to load potentially auto-downloadable .pk3 files as
      ioquake3 renderers, ioquake3 game code, libcurl, or OpenAL drivers
      (mitigation: auto-downloading is off by default, and in Debian
      we do not dlopen libcurl anyway)
    - refuse to load default configuration file names from a .pk3 file
    - protect cl_renderer, cl_curllib, s_aldriver configuration variables so
      game code cannot set them
    - refuse to overwrite files other than *.txt with the dump console
      command
    - refuse to overwrite files other than *.cfg with the writeconfig
      console command
    (Closes: #857699; CVE-2017-6903)
  * Add patch adapted from openarena to request confirmation before
    enabling auto-downloading if the native-code Quake III Arena UI is
    in use. Unfortunately this is not the case with quake3_46, but
    I'm adding this patch in the hope that the wrapper script can
    be fixed before the stretch release.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Mar 2017 10:14:37 +0000

ioquake3 (1.36+u20161101+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
    - debian/ioquake3.NEWS: describe the new default renderer
    - d/p/Pick-up-date-from-SOURCE_DATE_EPOCH-for-reproducible-buil.patch,
    - d/p/Introduce-NOTSHLIBLDFLAGS-used-to-link-executables-only.patch,
    - d/p/Fix-mis-spellings-of-separating-as-seperating.patch:
      drop, applied upstream
  * debian/.gitignore: update for debhelper 10
  * debian/rules: do the build in debian/build
  * debian/rules: let dh_auto_clean pick up the correct BUILD_DIR
  * debian/rules: automatically use V=0 or V=1 according to DH_QUIET
  * debian/apparmor.d: allow readdir() on game data directories

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Nov 2016 19:03:47 +0000

ioquake3 (1.36+u20160914+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
    - bump SDL2 build-dependency to 2.0.4 to match upstream's embedded
      code copy
    - debian/rules: improve get-orig-source target
  * debian/watch: mangle Debian version correctly
  * Remove a leftover comment which is now misleading
  * Remove ioquake3-dbg, rely on automatic dbgsym packages instead
  * Bump debhelper compat level to 10
    - don't explicitly do a parallel build, it is the default
  * debian/rules: mark get-orig-source as a phony target
  * debian/rules: re-indent options
  * d/p/Fix-mis-spellings-of-separating-as-seperating.patch:
    fix spellings
  * debian/apparmor.d: allow mapping objects from /usr/lib/openarena-server

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2016 20:34:26 +0100

ioquake3 (1.36+u20160616+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
    - refresh patches
  * AppArmor: allow enumerating direct-rendering devices (graphics cards)
  * AppArmor: allow use of Wayland shared memory buffers
  * AppArmor: allow Zenity popup to read GLib schemas
  * debian/gbp.conf: use DEP-14 branch names
  * debian/rules: maintainer-get-orig-source: suggest a gbp import-orig
    command line
  * Standards-Version: 3.9.8 (no changes needed)
  * Correct date(1) syntax when using SOURCE_DATE_EPOCH

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Jun 2016 10:57:22 +0100

ioquake3 (1.36+u20160122+dfsg1-2) unstable; urgency=medium

  * Standards-Version: 3.9.7 (no changes needed)
  * Add an experimental AppArmor profile supporting OpenArena
    (openarena) and Quake III Arena (quake3 from contrib), in complain
    mode for now
  * Update reproducibility patch to pick up SOURCE_DATE_EPOCH, as set by
    debhelper >= 9.20151004
  * Enable full compiler hardening

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Mar 2016 09:19:12 +0000

ioquake3 (1.36+u20160122+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
    - update copyright
    - now uses Opus for VoIP, drop Speex build-dependency
  * Partially normalize packaging through wrap-and-sort
    - the .install files are not entirely sorted to preserve the
      relationship between comments and the files they refer to
  * Use https for Vcs-Git, to provide anonymous checkouts that
    still authenticate the server

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Jan 2016 11:50:22 +0000

ioquake3 (1.36+u20151017+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
  * debian/control: remove architecture restriction, which didn't
    actually exclude anything in Debian or debian-ports
  * debian/rules: maintainer-get-orig-source: put the tarball in
    ../build-area

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Nov 2015 17:20:32 +0000

ioquake3 (1.36+u20150926+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
    - should hopefully be portable to new architectures by default
  * Set FULLBINEXT="" to omit extension from executables, instead of
    renaming them afterwards
  * debian/q3arch: update and simplify for new upstream
    - arm* CPU maps to ARCH=arm
    - remove compat_arch: unused and never actually worked
    - remove rtcw_file_arch: unused
  * Stop using lsb_release for version info, use DEB_VENDOR instead

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Oct 2015 09:40:55 +0100

ioquake3 (1.36+u20150710+dfsg1-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream snapshot
    - includes the upstream parts of Martin Michlmayr's patch to support
      arm64 (Closes: #790668)
  * Drop patches that have been applied upstream since previous snapshot
    - GNU/Hurd support
    - fix for crash if SDL reports many video modes

  [ Martin Michlmayr ]
  * debian/q3arch: add arm64 support

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Jul 2015 22:33:30 +0100

ioquake3 (1.36+u20150412+dfsg1-2) unstable; urgency=medium

  * Another try at making the build reproducible: force TZ=UTC so the
    changelog date comes out the same in any timezone, and LC_ALL=C.UTF-8
    so we always get the same month names. Based on a patch from
    Reiner Herrmann. (Related to #784163)

 -- Simon McVittie <smcv@debian.org>  Mon, 04 May 2015 08:55:28 +0100

ioquake3 (1.36+u20150412+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
  * Add and use a patch to avoid __DATE__, for reproducible builds;
    we use the date of the latest changelog entry instead
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2015 09:32:31 +0100

ioquake3 (1.36+u20150228+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
  * Canonicalize Vcs-Browser and use https

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Mar 2015 21:53:08 +0000

ioquake3 (1.36+u20150114+dfsg1-1) experimental; urgency=low

  * New upstream snapshot
  * Remove debian/source/local-options, dpkg-source behaves sensibly
    on its own (unapplies patches iff they were initially applied)
  * Standards-Version: 3.9.6 (no changes)
  * Mangle upstream version correctly in watch file
  * Add patch so the UI can see whether we're playing the demo
  * q3arch: add support for the modified architecture string used by iortcw
  * README.Debian: update instructions for integrating new games
    to point to src:openarena and src:quake as examples
  * Install symlinks to native-code cgame, qagame and ui modules so that
    quake3 (full, demo and Team Arena variants) can use them
  * Make ioquake3 depend on ioquake3-server (the cost is approximately
    1 megabyte, which is tiny compared with the game data) so it can share
    the compiled qagame modules

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 10:17:51 +0000

ioquake3 (1.36+u20140929+g918eed9+dfsg1-1) experimental; urgency=low

  * Strip embedded code copy of SDL2 headers so we don't need to
    mention them in debian/copyright, since the tarball is repacked
    anyway

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Oct 2014 10:51:59 +0100

ioquake3 (1.36+u20140929+g918eed9-1) experimental; urgency=low

  * New upstream snapshot
    - switch from SDL version 1 to version 2
    - refresh patches
  * Add patch to avoid crashing if SDL reports more than 128 video modes

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Oct 2014 10:01:29 +0100

ioquake3 (1.36+u20140802+gca9eebb-2) unstable; urgency=medium

  * Build-depend on libjpeg-dev for jpeg-turbo transition

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Sep 2014 19:05:23 +0100

ioquake3 (1.36+u20140802+gca9eebb-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches: stop using numbered patches so there's less diffstat
    churn when patches are added/removed
  * Drop patch to check for opus etc. via pkg-config, applied upstream
  * Drop patch to build for i486 on Debian i386, Debian's i386 gcc now
    targets i586 anyway
  * Drop patch to avoid opengl2 for OpenArena, opengl2 now uses internal
    GLSL resources
  * Refesh patches (no functional changes)
  * debian/rules: turn off all removed internal copies of libraries

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Aug 2014 22:39:34 +0100

ioquake3 (1.36+u20140319+gb099255-1) unstable; urgency=low

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Mar 2014 08:57:43 +0000

ioquake3 (1.36+u20140116+gdde36d9-1) unstable; urgency=low

  * New upstream snapshot
    - refresh patches
    - set renderergl2 default video mode to 640x480, matching renderergl1:
      user configuration (if any) overrides this
    - switch opengl2 renderer back to opengl1 when running OpenArena,
      since OA's GLSL shaders don't seem to be fully compatible with it
  * Canonicalize Vcs-Git, Vcs-Browser
  * Standards-Version: 3.9.5 (no changes needed)
  * Install README.md as upstream README

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Jan 2014 17:28:34 +0000

ioquake3 (1.36+u20130504+g42eeb75-2) unstable; urgency=low

  * Enable Opus support now that #708008 is fixed
    - add a patch to look for the various Xiph libraries in the locations
      from pkg-config, since opusfile.h isn't in the default search path

 -- Simon McVittie <smcv@debian.org>  Sun, 19 May 2013 23:49:35 +0100

ioquake3 (1.36+u20130504+g42eeb75-1) unstable; urgency=low

  * Merge from experimental
  * New upstream snapshot, now coming from git rather than svn
    - adapt get-orig-source and build system
    - loadable modules on i386 and alpha are now ...x86.so and ...alpha.so,
      not ...i386.so and ...axp.so: add a Breaks on openarena versions
      that don't ship both
    - refresh patches
    - drop patches applied upstream:
      + double number of cvars
      + double default "hunk" memory
      + increase command buffer
      + double maximum number of flares
    - disable Opus support for now, since Debian's libopusfile
      is only in experimental, and currently links OpenSSL, which is not
      GPL-compatible (see #708008)
    - explicitly disable internal libogg
  * Adapt the patch for windowed-mode-by-default to apply to both renderer
    versions

 -- Simon McVittie <smcv@debian.org>  Sun, 12 May 2013 17:14:36 +0100

ioquake3 (1.36+svn2287-2) experimental; urgency=low

  * Adjust gbp.conf for experimental
  * Compile on Hurd, treating it like Linux and kFreeBSD (patch and testing
    by Svante Signell, closes: #679330)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Jul 2012 08:57:53 +0100

ioquake3 (1.36+svn2287-1) unstable; urgency=low

  * New upstream snapshot
    - reverts a change that caused a 25% framerate loss on the proprietary
      nVidia driver (Closes: #677647)
    - drop patches for CVE-2012-3345, applied upstream
    - drop patches excluding qagame.qvm from checksums, applied upstream
  * Run in a window by default on new installations (mitigates: #546671)

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Jun 2012 00:06:13 +0100

ioquake3 (1.36+svn2224-5) unstable; urgency=medium

  * Add bug number to the previous upload's changelog
  * Add CPPFLAGS (which are not followed by ioquake3) to CFLAGS (which are),
    for better hardening
  * Report status of libgl1-mesa-dri (indirect recommendation) in bug reports
  * On any-i386, only emit i486 instructions (we theoretically still
    support non-586 CPUs), but optimize for a generic modern x86
  * On any-i386, don't use -funroll-loops, working around a compiler
    segfault on these architectures (Closes: #677593)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jun 2012 09:11:41 +0100

ioquake3 (1.36+svn2224-4) unstable; urgency=high

  * Fix symlink attack in /tmp by moving pid file into the user-specific
    directory ~/.q3a, ~/.openarena etc. (CVE-2012-3345, Closes: 677592)
  * As a precaution, remove Sys_TempPath() altogether, so that any
    other unsafe usage will fail

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Jun 2012 20:13:45 +0100

ioquake3 (1.36+svn2224-3) unstable; urgency=low

  * Merge from experimental
  * Back out the patch that changes colour handling in the console:
    misleading for non-OpenArena, only minor impact for OpenArena
  * Use default.mk from dpkg-dev >= 1.16.1

 -- Simon McVittie <smcv@debian.org>  Sat, 31 Mar 2012 18:16:20 +0100

ioquake3 (1.36+svn2224-2) experimental; urgency=low

  * Import some of the changes from OpenArena 0.8.8's engine:
    - let servers set clients' sv_fps, which is used for movement prediction
    - remove FS_GamePureChecksum, which is never called
    - do not include the PK3 file containing qagame.qvm in pure-server
      checksums unless there is another reason to reference it, to allow
      server-side-only mods without forcing clients to have them
    - add support for a 9th colour escape code (^8, "COLOR_MENU", orange)
    - increase the maximum number of flares from 128 to 256
    - add sv_dorestart, which can be set by game code to force a full restart:
      some game modes in OpenArena can make use of this to avoid some full
      restarts

 -- Simon McVittie <smcv@debian.org>  Sun, 26 Feb 2012 22:37:55 +0000

ioquake3 (1.36+svn2224-1) unstable; urgency=low

  * New upstream snapshot
    - transfers com_altivec to renderer (hopefully Closes: #658215)
  * Standard-Version: 3.9.3 (no changes)
  * Use debhelper 9 for compressed/build-ID-based debug symbols

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Feb 2012 17:41:00 +0000

ioquake3 (1.36+svn2202-1) unstable; urgency=low

  * Back to unstable
  * New upstream snapshot
  * Update description: Debian's openarena now uses this shared engine
    (Closes: #644577)
  * Don't install a duplicate copy of ChangeLog.gz, debhelper automatically
    gives us changelog.gz
  * Remove a stray non-breaking space from debian/copyright
  * Don't try to build on non-Linux, non-kFreeBSD - the current code structure
    only allows specific platforms, and I doubt ioquake3 is useful on
    Hurd anyway

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Nov 2011 20:57:13 +0000

ioquake3 (1.36+svn2139-1) experimental; urgency=low

  * New upstream snapshot
    - should compile on non-x86 architectures again

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Aug 2011 08:23:48 +0100

ioquake3 (1.36+svn2131-1) experimental; urgency=low

  * Branch into experimental. This version will not necessarily interoperate
    fully with the final 1.37 release.

  * New upstream snapshot
    - drop security patches, no longer needed
    - install the new pluggable renderers
    - update fake-QVM patch for this snapshot
    - add Breaks for openarena versions that don't set the protocol version
      as necessary for this engine

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Aug 2011 09:05:49 +0100

ioquake3 (1.36+svn1946-5) unstable; urgency=low

  * Amend previous changelog to include bug numbers, which were not available
    when the package was prepared before the embargo date
  * Restore the ability to load replacement shared objects from a
    subdirectory, fixing symptoms like #620757 on OpenArena pure servers

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Aug 2011 09:03:51 +0100

ioquake3 (1.36+svn1946-4) unstable; urgency=high

  * Apply upstream r2092 to fix failover between xmessage, zenity and kdialog
    if the preferred implementation is missing, so that r2097 can be applied
  * Apply upstream r2097 to fix arbitrary code execution by a malicious
    server. CVE-2011-1412 (Closes: #635731)
  * Apply upstream r2098 to fix arbitrary code execution by malicious QVM
    bytecode (mitigation: only if native code is enabled), which could be
    auto-downloaded from a malicious server if enabled. CVE-2011-2764
    (Closes: #635734)

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Jul 2011 21:09:53 +0100

ioquake3 (1.36+svn1946-3) unstable; urgency=low

  * (ioquake3 1.36+svn1946-2 was never in Debian, due to problems with the
    orig tarball.)
  * Specifically build-depend on libjpeg8-dev (please revert this after wheezy
    or when libjpeg breaks ABI again, whichever is sooner)
  * Drop the patch that allowed compatibility with libjpeg62-dev
    - we no longer use any of the bundled libjpeg8 in Debian builds
      (Closes: #623462)
  * Standards-Version: 3.9.2 (no changes)
  * Specifically enable pristine-tar in git-buildpackage so we'll produce
    matching orig tarballs in future, and import the pristine-tar data
    for this upstream version
  * q3arch: correctly recognise powerpc-linux-gnuspe (Debian powerpcspe,
    PowerPC with Signal Processing Extensions) as Linux

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Jul 2011 18:42:35 +0100

ioquake3 (1.36+svn1946-1) unstable; urgency=low

  * New upstream svn snapshot
    - drop patch 0008, which went upstream as r1934
    - fixes crashes when taking JPEG screenshots
  * Drop patch 0007, which didn't actually fix #607178
  * Drop Recommends on openarena|quake3 and the corresponding -server:
    those are the user-visible packages, and this shared engine is just an
    implementation detail
  * Stop the client Suggesting the server, too
  * Annotate the libjpeg patch with why upstream rejected it
  * Build-depend on libjpeg-dev instead of libjpeg62-dev, to allow a
    binNMU for the transition when it eventually happens
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Apr 2011 16:12:57 +0100

ioquake3 (1.36+svn1933-1) experimental; urgency=low

  * New upstream svn snapshot
    - contains a fix for FTBFS on powerpc, hopefully (Closes: #617769)
    - support merged for system libjpeg; drop the Fedora-originated patch
    - add a smaller patch to use jpeg_mem_src from the bundled libjpeg 8 with
      the system libjpeg 6b (a necessary evil for now)
  * q3arch: extend the armel special case to recognise armhf as Linux too

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2011 21:57:42 +0000

ioquake3 (1.36+svn1921-1) experimental; urgency=low

  * New upstream svn snapshot
    - discard patches that were applied or replaced upstream
    - refresh remaining patches
    - add patch to compile against OpenAL Soft extension headers
  * Remove patch 0015 again, breaking obsolete experimental openarena
    versions (if you're running 0.8.5-5+expX for any X, please upgrade)
  * Add a potential patch for an OpenArena crash (might close: #607178)

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Mar 2011 23:44:48 +0000

ioquake3 (1.36+svn1858-2) unstable; urgency=low

  * Apply patch from upstream r1919 to avoid Com_StartupVariable marking
    cvars as user-created, causing them to be reset when joining some
    servers (Closes: #613692)

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Mar 2011 22:49:57 +0000

ioquake3 (1.36+svn1858-1) unstable; urgency=low

  * New upstream snapshot
    - discard patches that were applied or replaced upstream
    - refresh remaining patches
    - add patch 0015: openarena in experimental relies on being able to set
      com_standalone 1 on the command line, so bring back that functionality,
      and copy com_basegame from fs_basegame if used
  * Replace patch 0014 with Zack Middleton's version from upstream bugzilla,
    which automatically counts human players, independent of the mod
  * Bump debhelper compat to 8 now it's (about to be) in stable
  * Update format of debian/copyright with the help of Config::Model

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Feb 2011 22:30:41 +0000

ioquake3 (1.36+svn1802-2+dbg) experimental; urgency=low

  * Add debug symbols in ioquake3-dbg

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Jan 2011 23:25:22 +0000

ioquake3 (1.36+svn1802-2) unstable; urgency=low

  * Correct patch 0014 so the variables are correctly formatted as strings
  * Update copyright file to DEP-5 (candidate) format
  * Remove example scripts to run openarena: openarena in experimental now
    uses wrapper scripts around this engine, so please use that instead

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Jan 2011 23:14:27 +0000

ioquake3 (1.36+svn1802-1) unstable; urgency=low

  * New upstream svn snapshot
    - Add patches 0017, 0018: revert r1796, which breaks Team Arena, and apply
      patch suggested by Zack Middleton instead
    - Add patch 0019: fix a regression in joining single-player team games
  * Remove all of build/ in clean; otherwise architectures where uname -m
    doesn't match the Q3 architecture name won't delete the binaries
  * Use Q3 arch name "sh" for sh4
  * Recommend x11-utils, zenity or kdebase-bin so Sys_Dialog will work
  * Move get-orig-source functionality into debian/rules
  * Rename q3arch.sh to q3arch, and install it in ioquake3-server so
    openarena can build-depend on it

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Nov 2010 20:55:11 +0000

ioquake3 (1.36+svn1788j-2) unstable; urgency=low

  * Add support for arm/armel in q3arch.sh, removing "might not work" warning
    (q_platform.h does support this CPU)
  * Make ioquake3-server recommend openarena-server | quake3-server,
    not their client counterparts
  * Enhance the example openarena scripts to support --help, --quiet,
    and running under a debugger
  * Use the upstream "debug" build target, which doesn't select any particular
    compiler flags except -O0, if DEB_BUILD_OPTIONS contains "noopt"
  * Use build/ rather than build/flavour-arch-os/ for both flavours of build
    (debug and release)
  * Rename the ioquake3-server man page to ioq3ded to match the binary, and
    update the man pages

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Oct 2010 21:11:14 +0100

ioquake3 (1.36+svn1788j-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Initial release (Closes: #488803)
  * Import several patches from Fedora, including:
    * Use system libjpeg (will close #495966 when openarena uses this engine)
  * Strip non-free LCC compiler
  * Strip some of the code copies from .orig.tar.gz:
    * library binaries
    * speex
    * curl

  [ Simon McVittie ]
  * Update to a svn snapshot of ioquake3
  * Import patches from Debian openarena packaging:
    * fix build and resulting binary on Alpha (vorlon)
    * load native-code game logic (smcv)
    * fix spelling errors (ansgar)
    * fix FTBFS on kFreeBSD (KiBi)
  * Import patches loosely based on OpenArena upstream patches:
    * clip cl_mouseAccelOffset at 0.0001 to avoid division by zero
    * increase some arbitrary limits
    * put g_humanplayers and g_needpass in server info
  * Add some new patches to let us run OpenArena with this engine:
    * don't require Quake 3's pak0.pk3 in standalone mode
    * allow apparent protocol version to be changed on the command line
  * Add example scripts to use this engine to play OpenArena
  * Move the installed binaries off the $PATH, since they're of little use
    on their own (this package mainly exists so openarena, quake3 etc. can
    depend on it in future)
  * Don't strip the libjpeg code copy from the orig tarball: we still use
    one modified file from it, which means we must include the README and
    details of changes
  * Audit copyright file and convert to DEP-5
  * Add a watch file

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2010 22:25:41 +0100
